org.apache.trevni.avro.mapreduce

## Class AvroTrevniKeyRecordReader<T>

- java.lang.Object
- - org.apache.hadoop.mapreduce.RecordReader<K,V>
  - - org.apache.trevni.avro.mapreduce.AvroTrevniRecordReaderBase<AvroKey<T>,NullWritable,T>
    - - org.apache.trevni.avro.mapreduce.AvroTrevniKeyRecordReader<T>

- Type Parameters:
    `T` - The (java) type of data in Trevni container file.
  All Implemented Interfaces:
    Closeable, AutoCloseable

      public class AvroTrevniKeyRecordReader<T>
      extends AvroTrevniRecordReaderBase<AvroKey<T>,NullWritable,T>

  Reads records from an input split representing a chunk of an Trenvi container file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroTrevniKeyRecordReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AvroKey<T>` | `getCurrentKey()`
    `NullWritable` | `getCurrentValue()`
    `boolean` | `nextKeyValue()`

    - ### Methods inherited from class org.apache.trevni.avro.mapreduce.AvroTrevniRecordReaderBase

      `close, getCurrentRecord, getProgress, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroTrevniKeyRecordReader

          public AvroTrevniKeyRecordReader()

  - ### Method Detail

    - #### getCurrentKey

          public AvroKey<T> getCurrentKey()
                                   throws IOException,
                                          InterruptedException

      Specified by:
        `getCurrentKey` in class `RecordReader<AvroKey<T>,NullWritable>`
      Throws:
        `IOException`
        `InterruptedException`

    - #### getCurrentValue

          public NullWritable getCurrentValue()
                                       throws IOException,
                                              InterruptedException

      Specified by:
        `getCurrentValue` in class `RecordReader<AvroKey<T>,NullWritable>`
      Throws:
        `IOException`
        `InterruptedException`

    - #### nextKeyValue

          public boolean nextKeyValue()
                               throws IOException,
                                      InterruptedException

      Overrides:
        `nextKeyValue` in class `AvroTrevniRecordReaderBase<AvroKey<T>,NullWritable,T>`
      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.